Notify RCS that a new product or product configuration version is available.

Tells the service a new product or product configuration version is available so it can pick it up.

post
https://dev.api.zinnia.io/rate-configuration/v1/notification/new-product-configuration-version

Body

The new carrierId, planCode, and configuration version

NewProductConfigurationVersion

Notification that a new product or product configuration version is available.

* Additional properties are NOT allowed.
carrierIdstringrequired

CarrierId of the planCode that has a new configuration version.

planCodestringrequired

PlanCode that has a new configuration version. If this is a new planCode, latest configuration version tracking will begin for it.

newLatestConfigurationVersionstringrequired

The new latest configuration version for this planCode

Response

The notification was received and successfully processed.

post/rate-configuration/v1/notification/new-product-configuration-version

Body

{ "carrierId": "carrierId", "planCode": "planCode", "newLatestConfigurationVersion": "newLatestConfigurationVersion" }
 

RateRead

These endpoints are intended to be consumed by the Unified Calculation Service (UCS) to provide its rate configuration data

Retrieve the parameters for a benefit

Mirrors RateReadApi::parametersForBenefit — returns every parameter defined for the benefit, keyed by parameter name

get
https://dev.api.zinnia.io/rate-configuration/v1/parametersForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}

Query Parameters

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:EVGL

productIdstringrequired

The Product ID

Example:EVGIUL001

benefitIdstringrequired

The Benefit ID

Example:Base_Coverage

Response

application/json

OK

object
get/rate-configuration/v1/parametersForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}
 
application/json

Retrieve the rate identifiers for a benefit

Mirrors RateReadApi::rateIdentifiersForBenefit — returns every rate identifier defined for the benefit

get
https://dev.api.zinnia.io/rate-configuration/v1/rateIdentifiersForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}

Query Parameters

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:EVGL

productIdstringrequired

The Product ID

Example:EVGFIA001

benefitIdstringrequired

The Benefit ID

Example:Base_Coverage

Response

application/json

OK

array[string]
get/rate-configuration/v1/rateIdentifiersForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}
 
application/json

Retrieve the parameter history for a benefit

Mirrors RateReadApi::parameterHistoryForBenefit — returns every recorded historical value change for the benefit’s parameters

get
https://dev.api.zinnia.io/rate-configuration/v1/parameterHistoryForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}

Query Parameters

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:EVGL

productIdstringrequired

The Product ID

Example:EVGFIA001

benefitIdstringrequired

The Benefit ID

Example:Base_Coverage

Response

application/json

OK

One historical value change for a parameter, mirroring a ParamHistory.Bin record.

* Additional properties are NOT allowed.
parameterIdstringrequired
effectiveYearinteger(int32)required
effectiveMonthinteger(int32)required
effectiveDayinteger(int32)required
valuenumber(double)required
get/rate-configuration/v1/parameterHistoryForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}
 
application/json